package com.tanpu.community.dao.entity.community;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 话题
 * </p>
 *
 * @author xudong
 * @since 2022-02-17
 */
@TableName("topic")
@ApiModel(value="TopicEntity对象", description="话题")
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TopicEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "话题主键Id")
    private String topicId;

    @ApiModelProperty(value = "话题名称")
    private String topicTitle;

    @ApiModelProperty(value = "话题介绍")
    private String topicDesc;

    @ApiModelProperty(value = "封面")
    private String coverImg;

    @ApiModelProperty(value = "是否专属 0否，1是")
    private Integer specialPermission;

    @ApiModelProperty(value = "是否同步动态至管理员企业微信 0:否 1:是")
    private Integer syncCorpWechat;

    @ApiModelProperty(value = "是否置顶")
    private Integer isTop;

    @ApiModelProperty(value = "是否隐藏")
    private Integer isConceal;

    @ApiModelProperty(value = "浏览量调整基数")
    private Integer viewCntAdjust;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;

    private Integer deleteTag;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTopicId() {
        return topicId;
    }

    public void setTopicId(String topicId) {
        this.topicId = topicId;
    }

    public String getTopicTitle() {
        return topicTitle;
    }

    public void setTopicTitle(String topicTitle) {
        this.topicTitle = topicTitle;
    }

    public String getTopicDesc() {
        return topicDesc;
    }

    public void setTopicDesc(String topicDesc) {
        this.topicDesc = topicDesc;
    }

    public String getCoverImg() {
        return coverImg;
    }

    public void setCoverImg(String coverImg) {
        this.coverImg = coverImg;
    }

    public Integer getSpecialPermission() {
        return specialPermission;
    }

    public void setSpecialPermission(Integer specialPermission) {
        this.specialPermission = specialPermission;
    }

    public Integer getSyncCorpWechat() {
        return syncCorpWechat;
    }

    public void setSyncCorpWechat(Integer syncCorpWechat) {
        this.syncCorpWechat = syncCorpWechat;
    }

    public Integer getIsTop() {
        return isTop;
    }

    public void setIsTop(Integer isTop) {
        this.isTop = isTop;
    }

    public Integer getIsConceal() {
        return isConceal;
    }

    public void setIsConceal(Integer isConceal) {
        this.isConceal = isConceal;
    }

    public Integer getViewCntAdjust() {
        return viewCntAdjust;
    }

    public void setViewCntAdjust(Integer viewCntAdjust) {
        this.viewCntAdjust = viewCntAdjust;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteTag() {
        return deleteTag;
    }

    public void setDeleteTag(Integer deleteTag) {
        this.deleteTag = deleteTag;
    }

    @Override
    public String toString() {
        return "TopicEntity{" +
        "id=" + id +
        ", topicId=" + topicId +
        ", topicTitle=" + topicTitle +
        ", topicDesc=" + topicDesc +
        ", coverImg=" + coverImg +
        ", specialPermission=" + specialPermission +
        ", syncCorpWechat=" + syncCorpWechat +
        ", isTop=" + isTop +
        ", isConceal=" + isConceal +
        ", viewCntAdjust=" + viewCntAdjust +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", deleteTag=" + deleteTag +
        "}";
    }
}
